Install Knime 3.5

Mar 14, 2018 03:30 PM - Gianpaolo Coro

Status: Closed Start date: Mar 14, 2018

Priority: Normal Due date:  

Assignee: Matthias Filter % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: KNIME   

Infrastructure: Production   

Description

Based on the discussion with the AgInfra community, Knime 3.5 should be installed on the DataMiner machines instead of version

3.3.2. No full installation is required but the possible packages to install will be communicated through tickets. This request should be

safe because AgInfra is the only community currently using Knime. Currently, I don't know which will be the amount of packages that

will be requested, but my guess is that they will not be many since most of the workflows will use R and its packages.

The discussion and the explicit request for this installation are reported in the VRE: 

https://services.d4science.org/group/aginfraplus/aginfraplus?oid=73917c0a-e134-47a3-8c45-aa0c7b05e432

History

#1 - Mar 14, 2018 04:05 PM - Matthias Filter

We will provide a list of packages asap.

#2 - Mar 20, 2018 05:48 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 50

knime 3.5.2 just replaced knime(-full) 3.2.2 on the dev dataminers dataminer[1:2]-d-d4s.d4science.org. @gianpaolo.coro@isti.cnr.it does someone

need to test it before installing it on all the other dataminer instances?

#3 - Mar 20, 2018 06:08 PM - Gianpaolo Coro

Unfortunately, it can be tested only on the production machines by AGInfra people.

#4 - Mar 20, 2018 06:08 PM - Andrea Dell'Amico

But is it OK to remove the old versions, anyway?

#5 - Mar 20, 2018 06:28 PM - Gianpaolo Coro

Yes it is.

#6 - Mar 20, 2018 06:30 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 50 to 100

knime 3.5.2 has been installed everywhere. It can be invoked as /usr/local/bin/knime (or simply knime as /usr/local/bin is known to the environment).

#7 - Mar 20, 2018 08:00 PM - Gianpaolo Coro

- Assignee changed from _InfraScience Systems Engineer to Taras Günther

Dear taras.guenther (changed to prevent email abuse) could you or your colleagues check if the installation of Knime 3.5 is suited for your algorithms,

please? The best way would be to run a Knime example via SAI+DataMiner (

https://wiki.gcube-system.org/gcube/Statistical_Algorithms_Importer:_Knime-Workflow_Project).

#8 - Mar 21, 2018 05:49 PM - Matthias Filter

- Status changed from Feedback to Paused

- Assignee changed from Taras Günther to Matthias Filter
- % Done changed from 100 to 70

Dear all,

to be honest I'm a bit surprised on this progress.

In my reply some days ago I stated that we will come back to you with a list of required KNIME packages. As I have not yet provided this list I assume

that you now installed the core KNIME without any additional packages that we need. Unfortunately this is not sufficient for our AGINFRA+ use cases.

Nevertheless we will give the current KNIME installation a try once we find the time.

As soon as I have completed the collection of required packages I will communicate them in this ticket and it would be great if these KNIME

extensions could then also be deployed as well.

Sorry for any inconveniences.

MF

#9 - Mar 23, 2018 11:36 AM - Matthias Filter

Dear @gianpaolo.coro@isti.cnr.it . I talked to my colleague lars.valentin (changed to prevent email abuse) and he would take over the task to create

the proper configured KNIME bundle that includes all the KNIME extensions and set the right paths. I still have 2 questions:

1) re Matlab: I still have doubts that this really works out as described. As far as I know only the Matlab runtime environment is free. This runtime

environment however needs compiled Matlab code which is not generated in a KNIME Matlab node- as far as I know. So to my knowledge you need

a valid Matlab software instance that can be called from within KNIME to be able to run the Matlab script in the KNIME Matlab node. If this is true, the

question is: can or have you install(ed) a regular Matlab software on your cluster? If yes, we need the path to it as well. If you don't have a Matlab

licence maybe we can buy one via the AGINFRA+ project, but for sure our BfR budget allows only a single user licence.

2) re the installation of KNIME - when we had our call with Antonis this week on VocBench it seems that there might be the option to have a kind of

"admin access" to a dedicated machine for VocBench. Maybe we should do the same here for the KNIME installation in order to enable Lars Valentin 

to check the configuration of his KNIME bundle before you start to deploy it on all machines in the cluster? 

#10 - Nov 14, 2018 05:32 PM - Lars Valentin

- Status changed from Paused to Closed

I think we have 3.6.1 already installed and can close the ticket? https://support.d4science.org/issues/12579
